package harjoitustyofx;

//import javafx.application.Application;
import javafx.fxml.FXML;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;

/**
 * Luokka Katalogisivua varten.
 * @author jimis
 * @version 27.2.2025
 *
 */
public class KatalogiGUIController {
    @FXML private Button closeButton;

    /**
     * Event handler peruuta-painikkeelle,
     */
    @FXML private void suljeSivu(){
        Stage stage = (Stage) closeButton.getScene().getWindow();
        stage.close();
        }   
    
    
    /**
     * Avaa kirjan Lisäyssivun
     * @throws Exception
     */
    
    @FXML void lisaaKirja() throws Exception {               
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("LisaaKirjaGUIView.fxml"));
            final Pane root = ldr.load();
            Stage stage = new Stage();
            stage.setScene(new Scene(root));  
            stage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }
}
