package harjoitustyofx;

import fi.jyu.mit.fxgui.Dialogs;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

/**
 * Luokka Laskutussivun painikkeita varten.
 * @author jimis
 * @version 26.2.2025
 *
 */
public class LaskutussivuGUIController {
    @FXML private Button closeButton;

    /**
     * Event handler peruuta-painikkeelle,
     */
    @FXML private void suljeSivu(){
        Stage stage = (Stage) closeButton.getScene().getWindow();
        stage.close();
        }   
    @FXML void lisaaLasku() throws Exception {               
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("LisaaLaskuGUIView.fxml"));
            final Pane root = ldr.load();
            Stage stage = new Stage();
            stage.setScene(new Scene(root));  
            stage.show();
            } 
        catch(Exception e) {
            e.printStackTrace();
        }
    }
    
    /**
     * Tukipainikkeessa on vain puhelinnumero
     */
    @FXML private void avaaTuki()
    {
    Dialogs.showMessageDialog("Tekninen tuki: Puh: +3581234567");
    }
}
    