package harjoitustyofx;
import fi.jyu.mit.fxgui.Dialogs;
// import javafx.application.Application;
import javafx.fxml.FXML;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;
//import java.net.URL;
//import java.util.ResourceBundle;


/**
 * @author jimis
 * @version 16.2.2025
 * Hakutoiminto käynnistää katalogin.
 * tyhä
 */
public class MenuGUIcontroller {
    
    /**
     * Avaa katalogilistaussivun
     */
    @FXML void haku () throws Exception {               
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("KatalogilistausGUIView.fxml"));
            final Pane root = ldr.load();
            Stage stage = new Stage();
            stage.setScene(new Scene(root));  
            stage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }
    
    /**
     * Avaa laskutussivun
     * @throws Exception
     */
    
    @FXML void avaaLasku () throws Exception {               
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("LaskutussivuGUIView.fxml"));
            final Pane root = ldr.load();
            Stage stage = new Stage();
            stage.setScene(new Scene(root));  
            stage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }
    
    /**
     * Avaa kirjan Lisäyssivun
     * @throws Exception
     */
    
    @FXML void lisaaKirja() throws Exception {               
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("LisaaKirjaGUIView.fxml"));
            final Pane root = ldr.load();
            Stage stage = new Stage();
            stage.setScene(new Scene(root));  
            stage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }
    
    /**
     * Tukipainikkeessa on vain puhelinnumero
     */
    @FXML private void avaaTuki()
    {
    Dialogs.showMessageDialog("Tekninen tuki: Puh: +3581234567");
    }
    
    
    
    
    
    
    
}